ru.bitel.bgbilling.kernel.contract.api.server.bean

## Class ContractTariffDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<ContractTariff>
    - - ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractTariffDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractTariffDao
      extends ru.bitel.common.dao.AbstractIdDao<ContractTariff>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariffDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkDoubleTariffForContract(int cid, int tpid, java.util.Calendar date1, java.util.Calendar date2)`
    `ContractTariff` | `getFirst(int cid, java.util.Date date)` Возвращает первый тариф из списка тарифов для договора на определенную дату
    `protected ContractTariff` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ContractTariff>` | `list(int cid, java.util.Date date)` Возвращает список тарифов для данного договора на определенную дату
    `java.util.List<ContractTariff>` | `list(int cid, java.util.Date date, int emid, int eid)` Возвращает список тарифов для данного договора на определенную дату
    `protected void` | `updateImpl(ContractTariff value)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffDao

          public ContractTariffDao(java.sql.Connection con)

  - ### Method Detail

    - #### getFromRS

          protected ContractTariff getFromRS(java.sql.ResultSet rs)
                                      throws java.sql.SQLException,
                                             ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractTariff>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ContractTariff value)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractTariff>`
      Parameters:
        `value` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### list

          public java.util.List<ContractTariff> list(int cid,
                                                     java.util.Date date)
                                              throws ru.bitel.bgbilling.common.BGException

      Возвращает список тарифов для данного договора на определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ContractTariff> list(int cid,
                                                     java.util.Date date,
                                                     int emid,
                                                     int eid)
                                              throws ru.bitel.bgbilling.common.BGException

      Возвращает список тарифов для данного договора на определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFirst

          public ContractTariff getFirst(int cid,
                                         java.util.Date date)
                                  throws ru.bitel.bgbilling.common.BGException

      Возвращает первый тариф из списка тарифов для договора на определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:
        null - если нету
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkDoubleTariffForContract

          public boolean checkDoubleTariffForContract(int cid,
                                                      int tpid,
                                                      java.util.Calendar date1,
                                                      java.util.Calendar date2)